空间 答题例子3Q
QQQ答题对象=0
答题密码串=""
QQQ返回题目ID=""
QQQ返回答案=""

//开始按钮_点击操作
功能 开始_点击()
    
功能结束

//退出按钮_点击操作
功能 退出_点击()
    
    辅助.退出()
功能结束


功能 按钮_注册插件_点击()
    //有用户说win7系统无法注册 那是因为win7对压缩版本的插件支持不好,请使用未压缩的版本
    
    //将目录下面的  QQQDaTi.dll  删除,修改   QQQDaTi.dll_未压缩   版本的后缀,变成   QQQDaTi.dll
    
    // 这里使用的是相对路径(把QQQDati.dll 放入程序主目录)
    插件路径=str.strcat(system.getcurrentpath() ,"QQQDaTi.dll")
    
    if(file.exist(插件路径))
    else
        //这个路径是用来调试用的,生成exe后 主目录为exe所在目录
        插件路径="rc:QQQDaTi.dll" 
    endif
    
    if(辅助.注册插件(插件路径,真)  )
        QQQ答题对象=com("QQQDaTi.Reply") 
        if(QQQ答题对象!=0 )
            help.messagebox(str.strcat("注册成功",插件路径))   
        else
            help.messagebox(str.strcat("获取答题插件对象失败",插件路径))   
        endif
    else
        help.messagebox(str.strcat("如果是win7系统请使用未压缩插件,压缩版本的win7无法注册.将目录下面的QQQDaTi.dll删除,修改QQQDaTi.dll_未压缩版本的后缀,变成QQQDaTi.dll",插件路径))      
    endif 
    
    
    
    
功能结束


功能 按钮_获取密码串_点击()
    //通过用户名和密码获取答题密码串 
    if(QQQ答题对象!=0)
        用户名=edit.gettext( "编辑框_用户名")
        密码=edit.gettext("编辑框_密码")
        
        答题密码串=QQQ答题对象.LogIn(用户名,密码)
        
        if ( str.strleng(答题密码串)<20 )
            help.messagebox("用户名密码错误") 
        else
            edit.settext("编辑框_答题密码串",答题密码串)  
        endif
        
    else
        help.messagebox("请先注册插件")     
    endif
    
    
    
    
    
功能结束


功能 按钮_图片发题_点击()
    //这里发送图片文件  
    
    
    图片路径=""   
    
    图片路径=str.strcat(system.getcurrentpath() ,"测试图片.bmp")
    
    if(file.exist(图片路径))
    else
        //这个图片路径是调试用的,答题时候根据自己的情况设定()这个图片调试时候我设置在资源文件夹下
        help.messagebox(str.strcat("调试模式下程序路径和EXE打开的路径不一样,如果你是调试模式请设置绝对路径.",图片路径))   
    endif
    
    if( file.exist(图片路径))
        
        if(QQQ答题对象!=0)
            
            题型ID=2000
            答题超时间=100
            
            QQQ返回题目ID=""
            
            循环次数=5
            
            
            //var SendFile(string UserKey, int GameId, string ImgPath, int OverTime)
            
            while((str.strleng(QQQ返回题目ID)<10)&&(循环次数>0))
                QQQ返回题目ID=QQQ答题对象.SendFile(答题密码串,2000,图片路径,100) 
                
                循环次数=循环次数-1 
                help.sleep(200)
            endwhile
            
            if(str.strleng(QQQ返回题目ID)>10)
                
                循环次数=答题超时间
                
                QQQ返回答案="-99"
                while((QQQ返回答案=="-99")&&(循环次数>0))
                    QQQ返回答案=QQQ答题对象.GetAnswer(QQQ返回题目ID)
                    循环次数=循环次数-1
                    help.sleep(1000)
                endwhile
                
                if(type.cint(QQQ返回答案)<0)
                    help.messagebox(str.strcat("返回错误代码=",QQQ返回答案))    
                else
                    help.messagebox(str.strcat("返回答案=",QQQ返回答案))   
                endif
                
                
            else
                help.messagebox(str.strcat("返回错误代码=",QQQ返回题目ID))  
            endif
        else
            
            help.messagebox("请先注册插件")   
        endif
    else
        
        
        
        help.messagebox(str.strcat("图片不存在",图片路径))   
        
    endif  
功能结束
















功能 按钮_截图发题_点击()
    //这里添加你要执行的代码
    if(QQQ答题对象!=0)
        
        
        
        题型ID=2000
        答题超时间=100
        截图起点X坐标=0  
        截图起点Y坐标=0
        截图宽度=200
        截图高度=100
        //xy为截图的左上角坐标 
        
        循环次数=5
        
        //var var SendImage(string UserKey, int GameId, int StartX, int StartY, int Width, int Height, int OverTime)
        
        QQQ返回题目ID=""
        while((str.strleng(QQQ返回题目ID)<10)&&(循环次数>0))
            QQQ返回题目ID=QQQ答题对象.SendImage(答题密码串,2000,截图起点X坐标,截图起点Y坐标,截图宽度,截图高度,100) 
            
            循环次数=循环次数-1 
            help.sleep(200)
        endwhile
        
        if(str.strleng(QQQ返回题目ID)>10)
            
            循环次数=答题超时间
            
            QQQ返回答案="-99"
            while((QQQ返回答案=="-99")&&(循环次数>0))
                QQQ返回答案=QQQ答题对象.GetAnswer(QQQ返回题目ID)
                循环次数=循环次数-1
                help.sleep(1000)
            endwhile
            
            if(type.cint(QQQ返回答案)<0)
                help.messagebox(str.strcat("返回错误代码=",QQQ返回答案))    
            else
                help.messagebox(str.strcat("返回答案=",QQQ返回答案))   
            endif
            
            
        else
            help.messagebox(str.strcat("返回错误代码=",QQQ返回题目ID))  
        endif
    else
        
        help.messagebox("请先注册插件")   
    endif
    
    
    
    
功能结束





功能 按钮_其他功能_点击()
    //这里添加你要执行的代码
    
    
功能结束


功能 按钮0_点击()
    //这里添加你要执行的代码
    
    
    
功能结束


功能 按钮_查询题分_点击()
    //这里添加你要执行的代码
    //通过密码串获取剩余题分
    if(QQQ答题对象!=0)
        
        if(str.strleng(答题密码串)>10)
            
            剩余题分=QQQ答题对象.Check(答题密码串)
            
            if ( type.cint(剩余题分)<0 )
                help.messagebox("密码串错误") 
            else
                help.messagebox(str.strcat("剩余题分:=",剩余题分)) 
            endif  
        else
            help.messagebox("请先获取答题密码串,两种方式1是网站上复制;2.是通过用户名密码获取")   
        endif
        
        
        
    else
        help.messagebox("请先注册插件")     
    endif
    
    
    
功能结束


功能 按钮_申诉_点击()
    //这里添加你要执行的代码
    //申诉错误答案,返还题分
    if(QQQ答题对象!=0)
        
        if((str.strleng(QQQ返回题目ID)>10)&&(str.strleng(答题密码串)>10))
            
            申诉返回=QQQ答题对象.Report(QQQ返回题目ID,答题密码串)
            
            if ( type.cint(申诉返回)<0 )
                help.messagebox(str.strcat("题目ID失效,错误代码:=",申诉返回)) 
            else
                help.messagebox("申诉成功,答题员审核后系统会自动返回题分") 
            endif  
        else
            help.messagebox(str.strcat("题目ID错误,确认这个是3Q返回的题目ID,当前题目ID:=",QQQ返回题目ID))   
        endif
        
        
        
    else
        help.messagebox("请先注册插件")     
    endif
    
功能结束


功能 按钮_设置返利KEY_点击()
    //设置作者返利key 只需要在注册插件成功后设置一次即可,无须重复设置.
    if(QQQ答题对象!=0)
        
        //请到官网登录作者账号获取作者KEY(作者KEY例如=A6E63EC2-13D4-4958-944C-1A1657171A43)
        
        作者返利KEY=edit.gettext("编辑框_作者返利KEY")
        if(str.strleng(作者返利KEY)>10)
            
            返回值=QQQ答题对象.SetSoftKey(作者返利KEY)
            
            
            if ( 返回值=="0" )
                help.messagebox("设置成功") 
            else
                help.messagebox(str.strcat("设置成功失败,请确认你的作者KEY是:=",作者返利KEY)) 
            endif  
        else
            help.messagebox(str.strcat("设置成功失败,请确认你的作者KEY是:=",作者返利KEY))   
        endif
        
        
        
    else
        help.messagebox("请先注册插件")     
    endif
    
    
功能结束


功能 按钮_设置父系_点击()
    //设置了父系,通过此软件答题的密码串必须是父系本身或者是其子账户的密码串,其余密码串无法答题.
    //
    if(QQQ答题对象!=0)
        
        //父系ID就是父系的密码串前面的数字(例如密码是601|EA700D07-514E-4C3E-8888-C45600B6CBF1,那么父系ID就是601)
        父系ID=edit.gettext("编辑框_作者ID")
        if(str.strleng(父系ID)>0)
            
            返回值=QQQ答题对象.SetFather(父系ID)
            
            
            if ( 返回值=="0" )
                help.messagebox("设置成功") 
            else
                help.messagebox(str.strcat("设置成功失败,请确认你的父系ID是:=",父系ID)) 
            endif  
        else
            help.messagebox(str.strcat("设置成功失败,请确认你的父系ID是:=",父系ID))   
        endif
        
        
        
    else
        help.messagebox("请先注册插件")     
    endif
    
功能结束


功能 按钮_注册子账户_点击()
    //注册子账户
    if(QQQ答题对象!=0)
        
        
        子账户名=edit.gettext("编辑框_子账户名")
        子账户密码=edit.gettext("编辑框_子账户密码")
        父系用户名=edit.gettext("编辑框_父系用户名")
        
        if((str.strleng(父系用户名)>0)&&(str.strleng(子账户密码)>0)&&(str.strleng(父系用户名)>0))
            
            返回值=QQQ答题对象.RegUser(子账户名,子账户密码,父系用户名)
            
            
            if ( 返回值=="0" )
                help.messagebox(str.strcat("注册成功,请记住你的用户名和密码:=",子账户名)) 
            else
                help.messagebox(str.strcat("注册失败,请根据返回代码判断错误,返回代码:=",返回值)) 
            endif  
        else
            help.messagebox(str.strcat("请确认你的父系账户名是:=",父系用户名))   
        endif
        
        
        
    else
        help.messagebox("请先注册插件")     
    endif
    
功能结束

空间结束
//空间结束语句